## ros-melodic-radial-menu-backend 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(radial_menu_backend)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  nodelet
  pluginlib
  radial_menu_model
  radial_menu_msgs
  roscpp
  sensor_msgs
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   radial_menu_msgs#   sensor_msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES radial_menu_backend_plugins
  CATKIN_DEPENDS nodelet pluginlib radial_menu_model radial_menu_msgs roscpp sensor_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(
  radial_menu_backend_plugins
  src/radial_menu_backend_plugins.cpp
)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(
  radial_menu_backend_plugins
  ${${PROJECT_NAME}_EXPORTED_TARGETS} 
  ${catkin_EXPORTED_TARGETS}
)

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(
#   backend 
#   src/backend.cpp
# )

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(
#   backend
#   ${${PROJECT_NAME}_EXPORTED_TARGETS} 
#   ${catkin_EXPORTED_TARGETS}
# )

## Specify libraries to link a library or executable target against
target_link_libraries(
  radial_menu_backend_plugins
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# catkin_install_python(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_executables.html
# install(TARGETS ${PROJECT_NAME}_node
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark libraries for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_libraries.html
install(
  TARGETS radial_menu_backend_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(
  FILES plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_radial_menu_backend.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-radial-menu-backend (0.4.1-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 26 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.4.0-1stretch) stretch; urgency=high

  * Support null items
  * Use std's shared_ptr instead of boost's

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 15 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.3.4-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 13 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.3.3-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 08 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.3.2-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.3.1-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 05 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.3.0-1stretch) stretch; urgency=high

  * Menu item tree from parameter using the radial_menu_model package

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 02 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.2.0-1stretch) stretch; urgency=high

  * Install targets

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.1.4-1stretch) stretch; urgency=high

  * Fix circular reference in menu tree

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.1.3-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.1.2-1stretch) stretch; urgency=high

  * Backend as a nodelet

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.1.1-1stretch) stretch; urgency=high

  * Port to ROS kinetic

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.1.0-1stretch) stretch; urgency=high

  * Support submenus
  * More stable selection/descending by watching change in button values

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.0.4-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.0.3-1stretch) stretch; urgency=high

  * Support refactored state message type

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.0.2-1stretch) stretch; urgency=high

  * Add methods to Backend to easily check the current menu state

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 18 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-backend (0.0.1-1stretch) stretch; urgency=high

  * Initial version
  * Looks working on melodic and kinetic
  * Contributors: Yoshito Okada

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 16 Jul 2020 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-radial-menu-backend
Section: misc
Priority: optional
Maintainer: Yoshito Okada <okada@rm.is.tohoku.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-radial-menu-model, ros-melodic-radial-menu-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-radial-menu-backend
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-radial-menu-model, ros-melodic-radial-menu-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: The radial_menu_backend package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-radial-menu-backend//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
